/********************************************************************
 * Copyright © 2004 VHA. All rights reserved
 ********************************************************************/
package gov.va.med.esr.ui.common.beans;

import java.io.Serializable;

/**
 * Contains the current and previous values of entity
 *
 * @author DNS   KATIKM
 */
public class EntityHistory implements Serializable
{
    private static final long serialVersionUID = -8702048774042856299L;
    private Object current = null;
    private Object previous = null;

    public EntityHistory()
    {
        super();
    }

    public EntityHistory(Object current, Object previous)
    {
        super();
        this.current = current;
        this.previous = previous;
    }

    public Object getCurrent()
    {
        return current;
    }

    public Object getPrevious()
    {
        return previous;
    }

    public void setCurrent(Object current)
    {
        this.current = current;
    }

    public void setPrevious(Object previous)
    {
        this.previous = previous;
    }
}
